yy_buffer_state Struct Reference

## Data Fields

FILE * | yy_input_file
char * | yy_ch_buf
char * | yy_buf_pos
int | yy_buf_size
int | yy_n_chars
int | yy_is_our_buffer
int | yy_is_interactive
int | yy_at_bol
int | yy_bs_lineno
| The line count.
int | yy_bs_column
| The column count.
int | yy_fill_buffer
int | yy_buffer_status

## Detailed Description

Definition at line 219 of file jsgf_scanner.c.

## Field Documentation

## yy_at_bol

int yy_buffer_state::yy_at_bol

Definition at line 253 of file jsgf_scanner.c.

## yy_bs_column

int yy_buffer_state::yy_bs_column

The column count.

Definition at line 256 of file jsgf_scanner.c.

## yy_bs_lineno

int yy_buffer_state::yy_bs_lineno

The line count.

Definition at line 255 of file jsgf_scanner.c.

## yy_buf_pos

char * yy_buffer_state::yy_buf_pos

Definition at line 224 of file jsgf_scanner.c.

## yy_buf_size

int yy_buffer_state::yy_buf_size

Definition at line 229 of file jsgf_scanner.c.

## yy_buffer_status

int yy_buffer_state::yy_buffer_status

Definition at line 263 of file jsgf_scanner.c.

## yy_ch_buf

char * yy_buffer_state::yy_ch_buf

Definition at line 223 of file jsgf_scanner.c.

## yy_fill_buffer

int yy_buffer_state::yy_fill_buffer

Definition at line 261 of file jsgf_scanner.c.

## yy_input_file

FILE * yy_buffer_state::yy_input_file

Definition at line 221 of file jsgf_scanner.c.

## yy_is_interactive

int yy_buffer_state::yy_is_interactive

Definition at line 247 of file jsgf_scanner.c.

## yy_is_our_buffer

int yy_buffer_state::yy_is_our_buffer

Definition at line 240 of file jsgf_scanner.c.

## yy_n_chars

int yy_buffer_state::yy_n_chars

Definition at line 234 of file jsgf_scanner.c.

The documentation for this struct was generated from the following files:

- src/libsphinxbase/lm/jsgf_scanner.c
- src/libsphinxbase/lm/jsgf_scanner.h